Package org.codehaus.plexus.util.xml

# Class Xpp3DomBuilder

java.lang.Object
org.codehaus.plexus.util.xml.Xpp3DomBuilder

public class Xpp3DomBuilder extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Xpp3DomBuilder.InputLocationBuilder`
Input location builder interface, to be implemented to choose how to store data.

## Constructor Summary

Constructors
Constructor
Description
`Xpp3DomBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static Xpp3Dom`
`build(InputStream is, String encoding)`
`static Xpp3Dom`
`build(InputStream is, String encoding, boolean trim)`
`static Xpp3Dom`
`build(Reader reader)`
`static Xpp3Dom`
`build(Reader reader, boolean trim)`
`static Xpp3Dom`
`build(Reader reader, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`
`static Xpp3Dom`
`build(Reader reader, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`
`static Xpp3Dom`
`build(XmlPullParser parser)`
`static Xpp3Dom`
`build(XmlPullParser parser, boolean trim)`
`static Xpp3Dom`
`build(XmlPullParser parser, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Xpp3DomBuilder

public Xpp3DomBuilder()

## Method Details

### build

public static Xpp3Dom build(Reader reader) throws XmlPullParserException, IOException

Throws:
  `XmlPullParserException`
  `IOException`

### build

public static Xpp3Dom build(Reader reader, Xpp3DomBuilder.InputLocationBuilder locationBuilder) throws XmlPullParserException, IOException

Parameters:
  `reader` - the reader
  `locationBuilder` - the builder
Returns:
  DOM
Throws:
  `XmlPullParserException` - xml exception
  `IOException` - io
Since:
  3.2.0

### build

public static Xpp3Dom build(InputStream is, String encoding) throws XmlPullParserException, IOException

Throws:
  `XmlPullParserException`
  `IOException`

### build

public static Xpp3Dom build(InputStream is, String encoding, boolean trim) throws XmlPullParserException, IOException

Throws:
  `XmlPullParserException`
  `IOException`

### build

public static Xpp3Dom build(Reader reader, boolean trim) throws XmlPullParserException, IOException

Throws:
  `XmlPullParserException`
  `IOException`

### build

public static Xpp3Dom build(Reader reader, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder) throws XmlPullParserException, IOException

Parameters:
  `reader` - the reader
  `trim` - to trim
  `locationBuilder` - the builder
Returns:
  DOM
Throws:
  `XmlPullParserException` - xml exception
  `IOException` - io
Since:
  3.2.0

### build

public static Xpp3Dom build(XmlPullParser parser) throws XmlPullParserException, IOException

Throws:
  `XmlPullParserException`
  `IOException`

### build

public static Xpp3Dom build(XmlPullParser parser, boolean trim) throws XmlPullParserException, IOException

Throws:
  `XmlPullParserException`
  `IOException`

### build

public static Xpp3Dom build(XmlPullParser parser, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder) throws XmlPullParserException, IOException

Parameters:
  `parser` - the parser
  `trim` - do trim
  `locationBuilder` - builder
Returns:
  DOM
Throws:
  `XmlPullParserException` - xml exception
  `IOException` - io
Since:
  3.2.0